## OGMJobContainer

OGMJobContainer — Base class for spawns which contain other spawns

## Functions

void | (*OGMJobCallback) ()
void | ogmjob_container_add ()
void | ogmjob_container_remove ()
void | ogmjob_container_foreach ()

## Signals

void | add | No Hooks
void | remove | No Hooks

## Types and Values

struct | OGMJobContainer

## Object Hierarchy

        GObject
        ╰── OGMJobSpawn
            ╰── OGMJobContainer
                ├── OGMJobBin
                ╰── OGMJobList

## Includes

    #include <ogmjob-container.h>

## Description

## Functions

### OGMJobCallback ()

    void
    (*OGMJobCallback) (OGMJobSpawn *spawn,
                       gpointer data);

Specifies the type of functions passed to `ogmjob_container_foreach()`.

#### Parameters

spawn | An OGMJobSpawn |
data | The user data |

### ogmjob_container_add ()

    void
    ogmjob_container_add (OGMJobContainer *container,
                          OGMJobSpawn *spawn);

Adds `spawn` to `container` .

#### Parameters

container | An OGMJobContainer |
spawn | An OGMJobSpawn |

### ogmjob_container_remove ()

    void
    ogmjob_container_remove (OGMJobContainer *container,
                             OGMJobSpawn *spawn);

Removes `spawn` from `container` .

#### Parameters

container | An OGMJobContainer |
spawn | An OGMJobSpawn |

### ogmjob_container_foreach ()

    void
    ogmjob_container_foreach (OGMJobContainer *container,
                              OGMJobCallback callback,
                              gpointer data);

Invokes `callback` on each child of `container` .

#### Parameters

container | An OGMJobContainer |
callback | A callback |
data | Callback user data |

## Types and Values

### struct OGMJobContainer

    struct OGMJobContainer;

## Signal Details

### The `“add”` signal

    void
    user_function (OGMJobContainer *container,
                   OGMJobSpawn     *child,
                   gpointer         user_data)

Emitted each time a child is added to a container.

#### Parameters

container | the container that received the signal |
child | the child to be added |
user_data | user data set when the signal handler was connected. |

Flags: No Hooks

### The `“remove”` signal

    void
    user_function (OGMJobContainer *container,
                   OGMJobSpawn     *child,
                   gpointer         user_data)

Emitted each time a child is removed from a container.

#### Parameters

container | the container that received the signal |
child | the child to be removed |
user_data | user data set when the signal handler was connected. |

Flags: No Hooks